Subject: bug#22556: closed (Re: bug#22556: 25.0.90; autogen.sh automatic parameter isn't working)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Feb 2016 22:19:02 +0000

Your bug report

#22556: 25.0.90; autogen.sh automatic parameter isn't working

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22556: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22556
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22556: 25.0.90; autogen.sh automatic parameter isn't working
From: Paul Eggert <[email-masked]>
To: Glenn Morris <[email-masked]>, David Caldwell <[email-masked]>
Cc: [email-masked]
Date: Fri, 5 Feb 2016 14:18:44 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 02/05/2016 09:41 AM, Glenn Morris wrote:
> I meant that your patch should be fine to apply.
> But AFAICS at the next merge from emacs-25 the relevant code will all
> disappear anyway. Or there will be a merge conflict.

I think this problem is present only in master. I installed the attached 
patch, which should fix it. David, thanks for reporting it.

This shell compatibility issue isn't documented in the Autoconf manual, 
so I installed a patch to document it, here:

http://git.savannah.gnu.org/cgit/autoconf.git/commit/?id=5483deb8ae9a6265ce3af0f4c5c574d44cafbcf5

Subject: 25.0.90; autogen.sh automatic parameter isn't working
From: David Caldwell <[email-masked]>
To: [email-masked]
Date: Thu, 4 Feb 2016 10:18:02 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Commit aca31e3815b9bd9c696cf0c74cc4a80ad7e35ec9 seems to have broken
'./autogen.sh'. It's requiring me to invoke it with the 'autoconf'
parameter. A quick peek at the source looks like it should be automatic,
but I think there's a bug in the shell code. At least, I needed this
change to make the 'autoconf' automatic under bash. I don't know enough
about the differences between bash and pure POSIX shells to know if this
is correct everywhere, but it fixes the issue for me:

diff --git a/autogen.sh b/autogen.sh
index 2ed58e1..c5c8d51 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -106,7 +106,7 @@ check_version ()
 do_autoconf=false
 do_git=false

-for arg in ${*-autoconf}; do
+for arg in ${*:-autoconf}; do
     case $arg in
       --help)
        exec echo "$0: usage: $0 [all|autoconf|git]";;